当前时间:Friday 2016年12月09日 欢迎访问 夜阑小雨 我的学习碎片档案,这里记录了我的学习内容和工作中经验,希望给您带去帮助。

当前位置: 首页 >> Android开发,phonegap开发 >> 正文

解决supporv4.jar 冲突

我的app要使用两个library,如:LibraryA,LibraryB。这两个库又都需要support.v4.jar。

由于加载的时间不同,所以两个support.v4.jar不同,出错的提示如下:

[2012-09-28 16:37:22 – ] Found 3 versions of android-support-v4.jar in the dependency list,
[2012-09-28 16:37:22 – ] but not all the versions are identical (check is based on SHA-1 only at this time).
[2012-09-28 16:37:22 – ] All versions of the libraries must be the same at this time.
[2012-09-28 16:37:22 – ] Versions found are:
[2012-09-28 16:37:22 – ] Path: /home/zkw/workspace/MyApp/libs/android-support-v4.jar
[2012-09-28 16:37:22 – ] Length: 247894
[2012-09-28 16:37:22 – ] SHA-1: 7329492e76650ee661f6af7704b0c79151d8e1ef
[2012-09-28 16:37:22 – ] Path: /home/zkw/workspace/LibraryB/library/libs/android-support-v4.jar
[2012-09-28 16:37:22 – ] Length: 271754
[2012-09-28 16:37:22 – ] SHA-1: 53307dc2bd2b69fd5533458ee11885f55807de4b
[2012-09-28 16:37:22 – ] Path: /home/zkw/workspace/LibraryA/libs/android-support-v4.jar
[2012-09-28 16:37:22 – ] Length: 247894
[2012-09-28 16:37:22 – ] SHA-1: 7329492e76650ee661f6af7704b0c79151d8e1ef
[2012-09-28 16:37:22 – ] Jar mismatch! Fix your dependencies

从提示中可以知道,这三个support-v4.jar不同,所以会发生冲突,解决方法就是,把其中某个不同的,比如LibraryB/library/libs中的support-v4.jar文件删掉,然后刷新这个包,让他重新生成,然后就OK了

作者:夜阑小雨
原文链接:解决supporv4.jar 冲突
夜阑小雨版权所有,转载本网站文章时请保留此信息。

收藏和分享: 转贴到开心网 转贴到校内网 分享到 Twitter Delicious 分享到 Google Reader 分享到 百度收藏 分享到 QQ收藏

评论信息

0 条评论 发表评论

发布评论

您必须登录才能发表评论。

网站客户端下载